Skip to content
Shortcut: /, ⌘K or Ctrl+K

Webhook deliveries

View as Markdown

The team webhook delivery object

Attributes

  • idstring (uuid)required

    Identifier for this resource.

  • teamIdstring (uuid)required

    Identifier for the team.

  • projectIdstringrequirednullable

    Identifier of the Polymorfa project that owns this resource.

  • eventIdstring (uuid)required

    Identifier for the event.

  • webhookIdstring (uuid)required

    Identifier for the webhook.

  • statusstringrequired

    Current status of this resource or operation.

    Allowed valuespendingdeliveringretryingsucceededfailed
  • attemptCountintegerrequiredmin0

    Number of attempts.

  • capabilitiesobjectrequired

    Structured capabilities values for this management team webhook delivery.

    Show 1 child field
  • payloadAvailabilitystringrequired

    Specifies payload availability for this management team webhook delivery.

    Allowed valuesavailablenot_retainedexpiredredactedunavailable
  • replayableUntilstring (date-time)requirednullable

    Specifies replayable until for this management team webhook delivery.

  • metadataExpiresAtstring (date-time)required

    Timestamp for metadata expires at.

  • nextAttemptAtstring (date-time)requirednullable

    Timestamp for next attempt at.

  • lastAttemptAtstring (date-time)requirednullable

    Timestamp for last attempt at.

  • completedAtstring (date-time)requirednullable

    ISO 8601 timestamp when this operation completed.

  • createdAtstring (date-time)required

    ISO 8601 timestamp when this resource was created.

  • updatedAtstring (date-time)required

    ISO 8601 timestamp when this resource was last updated.

  • lastOutcomeobjectrequirednullable

    Structured last outcome values for this management team webhook delivery.

    Show 2 child fields
The team webhook delivery object
{
  "id": "00000000-0000-4000-8000-000000000000",
  "teamId": "00000000-0000-4000-8000-000000000000",
  "projectId": null,
  "eventId": "00000000-0000-4000-8000-000000000000",
  "webhookId": "00000000-0000-4000-8000-000000000000",
  "status": "pending",
  "attemptCount": 0,
  "capabilities": {
    "retryable": true
  },
  "payloadAvailability": "available",
  "replayableUntil": "2026-09-22T12:00:00Z",
  "metadataExpiresAt": "2026-09-22T12:00:00Z",
  "nextAttemptAt": "2026-09-22T12:00:00Z",
  "lastAttemptAt": "2026-09-22T12:00:00Z",
  "completedAt": "2026-09-22T12:00:00Z",
  "createdAt": "2026-09-22T12:00:00Z",
  "updatedAt": "2026-09-22T12:00:00Z",
  "lastOutcome": {
    "statusCode": 100,
    "errorCode": "string"
  }
}

The project webhook delivery object

Attributes

  • idstring (uuid)required

    Identifier for this resource.

  • teamIdstring (uuid)required

    Identifier for the team.

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • eventIdstring (uuid)required

    Identifier for the event.

  • webhookIdstring (uuid)required

    Identifier for the webhook.

  • statusstringrequired

    Current status of this resource or operation.

    Allowed valuespendingdeliveringretryingsucceededfailed
  • attemptCountintegerrequiredmin0

    Number of attempts.

  • capabilitiesobjectrequired

    Structured capabilities values for this management project webhook delivery.

    Show 1 child field
  • payloadAvailabilitystringrequired

    Specifies payload availability for this management project webhook delivery.

    Allowed valuesavailablenot_retainedexpiredredactedunavailable
  • replayableUntilstring (date-time)requirednullable

    Specifies replayable until for this management project webhook delivery.

  • metadataExpiresAtstring (date-time)required

    Timestamp for metadata expires at.

  • nextAttemptAtstring (date-time)requirednullable

    Timestamp for next attempt at.

  • lastAttemptAtstring (date-time)requirednullable

    Timestamp for last attempt at.

  • completedAtstring (date-time)requirednullable

    ISO 8601 timestamp when this operation completed.

  • createdAtstring (date-time)required

    ISO 8601 timestamp when this resource was created.

  • updatedAtstring (date-time)required

    ISO 8601 timestamp when this resource was last updated.

  • lastOutcomeobjectrequirednullable

    Structured last outcome values for this management project webhook delivery.

    Show 2 child fields
The project webhook delivery object
{
  "id": "00000000-0000-4000-8000-000000000000",
  "teamId": "00000000-0000-4000-8000-000000000000",
  "projectId": "00000000-0000-4000-8000-000000000000",
  "eventId": "00000000-0000-4000-8000-000000000000",
  "webhookId": "00000000-0000-4000-8000-000000000000",
  "status": "pending",
  "attemptCount": 0,
  "capabilities": {
    "retryable": true
  },
  "payloadAvailability": "available",
  "replayableUntil": "2026-09-22T12:00:00Z",
  "metadataExpiresAt": "2026-09-22T12:00:00Z",
  "nextAttemptAt": "2026-09-22T12:00:00Z",
  "lastAttemptAt": "2026-09-22T12:00:00Z",
  "completedAt": "2026-09-22T12:00:00Z",
  "createdAt": "2026-09-22T12:00:00Z",
  "updatedAt": "2026-09-22T12:00:00Z",
  "lastOutcome": {
    "statusCode": 100,
    "errorCode": "string"
  }
}

List team webhook deliveries

GET/platform/webhook-deliveriesPlatform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Lists logical deliveries for team-owned webhooks. Project-owned deliveries are excluded.

Team keys require webhook-deliveries:read. Project tokens are not accepted.

Query parameters

  • webhookIdstring (uuid)

    Identifier for the webhook.

  • eventIdstring (uuid)

    Identifier for the event.

  • statusstring

    Current status of this resource or operation.

    Allowed valuespendingdeliveringretryingsucceededfailed
  • sincestring (date-time)

    Specifies since for this query parameter.

  • untilstring (date-time)

    Specifies until for this query parameter.

  • limitintegerrange1–100

    Specifies limit for this query parameter.

    Default 25
  • cursorstring

    Specifies cursor for this query parameter.

Responses

  • 200Success
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 17 child fields
    • pageobjectrequired

      Specifies page for this schema.

      Show 2 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
GET /platform/webhook-deliveriescURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/webhook-deliveries" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": [
    {
      "id": "00000000-0000-4000-8000-000000000000",
      "teamId": "00000000-0000-4000-8000-000000000000",
      "projectId": null,
      "eventId": "00000000-0000-4000-8000-000000000000",
      "webhookId": "00000000-0000-4000-8000-000000000000",
      "status": "pending",
      "attemptCount": 0,
      "capabilities": {
        "retryable": true
      },
      "payloadAvailability": "available",
      "replayableUntil": "2026-09-22T12:00:00Z",
      "metadataExpiresAt": "2026-09-22T12:00:00Z",
      "nextAttemptAt": "2026-09-22T12:00:00Z",
      "lastAttemptAt": "2026-09-22T12:00:00Z",
      "completedAt": "2026-09-22T12:00:00Z",
      "createdAt": "2026-09-22T12:00:00Z",
      "updatedAt": "2026-09-22T12:00:00Z",
      "lastOutcome": {
        "statusCode": 100,
        "errorCode": "string"
      }
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true
  }
}

List team webhook delivery attempts

GET/platform/webhook-deliveries/{deliveryId}/attemptsPlatform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Lists immutable network attempts for one team webhook delivery.

Team keys require webhook-deliveries:read. Project tokens are not accepted.

Path parameters

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

Query parameters

  • limitintegerrange1–100

    Specifies limit for this query parameter.

    Default 25
  • cursorstring

    Specifies cursor for this query parameter.

Responses

  • 200Success
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 14 child fields
    • pageobjectrequired

      Specifies page for this schema.

      Show 2 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/webhook-deliveries/{deliveryId}/attemptscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>/attempts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": [
    {
      "id": "00000000-0000-4000-8000-000000000000",
      "teamId": "00000000-0000-4000-8000-000000000000",
      "projectId": null,
      "deliveryId": "00000000-0000-4000-8000-000000000000",
      "number": 1,
      "status": "pending",
      "startedAt": "2026-09-22T12:00:00Z",
      "completedAt": "2026-09-22T12:00:00Z",
      "nextRetryAt": "2026-09-22T12:00:00Z",
      "durationMs": 0,
      "statusCode": 100,
      "errorCode": "string",
      "response": {
        "contentType": "string",
        "excerpt": "string",
        "truncated": true
      },
      "metadataExpiresAt": "2026-09-22T12:00:00Z"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true
  }
}

List project webhook deliveries

GET/platform/projects/{projectId}/webhook-deliveriesPlatform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Lists logical webhook deliveries owned by the exact project in the route.

Requires webhook-deliveries:read. Project tokens only access resources in their own project.

Path parameters

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

Query parameters

  • webhookIdstring (uuid)

    Identifier for the webhook.

  • eventIdstring (uuid)

    Identifier for the event.

  • statusstring

    Current status of this resource or operation.

    Allowed valuespendingdeliveringretryingsucceededfailed
  • sincestring (date-time)

    Specifies since for this query parameter.

  • untilstring (date-time)

    Specifies until for this query parameter.

  • limitintegerrange1–100

    Specifies limit for this query parameter.

    Default 25
  • cursorstring

    Specifies cursor for this query parameter.

Responses

  • 200Success
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 17 child fields
    • pageobjectrequired

      Specifies page for this schema.

      Show 2 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/projects/{projectId}/webhook-deliveriescURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": [
    {
      "id": "00000000-0000-4000-8000-000000000000",
      "teamId": "00000000-0000-4000-8000-000000000000",
      "projectId": "00000000-0000-4000-8000-000000000000",
      "eventId": "00000000-0000-4000-8000-000000000000",
      "webhookId": "00000000-0000-4000-8000-000000000000",
      "status": "pending",
      "attemptCount": 0,
      "capabilities": {
        "retryable": true
      },
      "payloadAvailability": "available",
      "replayableUntil": "2026-09-22T12:00:00Z",
      "metadataExpiresAt": "2026-09-22T12:00:00Z",
      "nextAttemptAt": "2026-09-22T12:00:00Z",
      "lastAttemptAt": "2026-09-22T12:00:00Z",
      "completedAt": "2026-09-22T12:00:00Z",
      "createdAt": "2026-09-22T12:00:00Z",
      "updatedAt": "2026-09-22T12:00:00Z",
      "lastOutcome": {
        "statusCode": 100,
        "errorCode": "string"
      }
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true
  }
}

List project webhook delivery attempts

GET/platform/projects/{projectId}/webhook-deliveries/{deliveryId}/attemptsPlatform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Lists immutable network attempts for one project webhook delivery.

Requires webhook-deliveries:read. Project tokens only access resources in their own project.

Path parameters

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

Query parameters

  • limitintegerrange1–100

    Specifies limit for this query parameter.

    Default 25
  • cursorstring

    Specifies cursor for this query parameter.

Responses

  • 200Success
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 14 child fields
    • pageobjectrequired

      Specifies page for this schema.

      Show 2 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/projects/{projectId}/webhook-deliveries/{deliveryId}/attemptscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>/attempts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": [
    {
      "id": "00000000-0000-4000-8000-000000000000",
      "teamId": "00000000-0000-4000-8000-000000000000",
      "projectId": "00000000-0000-4000-8000-000000000000",
      "deliveryId": "00000000-0000-4000-8000-000000000000",
      "number": 1,
      "status": "pending",
      "startedAt": "2026-09-22T12:00:00Z",
      "completedAt": "2026-09-22T12:00:00Z",
      "nextRetryAt": "2026-09-22T12:00:00Z",
      "durationMs": 0,
      "statusCode": 100,
      "errorCode": "string",
      "response": {
        "contentType": "string",
        "excerpt": "string",
        "truncated": true
      },
      "metadataExpiresAt": "2026-09-22T12:00:00Z"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true
  }
}

Get team webhook delivery

GET/platform/webhook-deliveries/{deliveryId}Platform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Returns one logical team webhook delivery.

Team keys require webhook-deliveries:read. Project tokens are not accepted.

Path parameters

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 17 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/webhook-deliveries/{deliveryId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "teamId": "00000000-0000-4000-8000-000000000000",
    "projectId": null,
    "eventId": "00000000-0000-4000-8000-000000000000",
    "webhookId": "00000000-0000-4000-8000-000000000000",
    "status": "pending",
    "attemptCount": 0,
    "capabilities": {
      "retryable": true
    },
    "payloadAvailability": "available",
    "replayableUntil": "2026-09-22T12:00:00Z",
    "metadataExpiresAt": "2026-09-22T12:00:00Z",
    "nextAttemptAt": "2026-09-22T12:00:00Z",
    "lastAttemptAt": "2026-09-22T12:00:00Z",
    "completedAt": "2026-09-22T12:00:00Z",
    "createdAt": "2026-09-22T12:00:00Z",
    "updatedAt": "2026-09-22T12:00:00Z",
    "lastOutcome": {
      "statusCode": 100,
      "errorCode": "string"
    }
  }
}

Get team webhook delivery attempt

GET/platform/webhook-deliveries/{deliveryId}/attempts/{attemptId}Platform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Returns one immutable network attempt.

Team keys require webhook-deliveries:read. Project tokens are not accepted.

Path parameters

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

  • attemptIdstring (uuid)required

    Identifier for the attempt.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 14 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/webhook-deliveries/{deliveryId}/attempts/{attemptId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>/attempts/<attemptId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "teamId": "00000000-0000-4000-8000-000000000000",
    "projectId": null,
    "deliveryId": "00000000-0000-4000-8000-000000000000",
    "number": 1,
    "status": "pending",
    "startedAt": "2026-09-22T12:00:00Z",
    "completedAt": "2026-09-22T12:00:00Z",
    "nextRetryAt": "2026-09-22T12:00:00Z",
    "durationMs": 0,
    "statusCode": 100,
    "errorCode": "string",
    "response": {
      "contentType": "string",
      "excerpt": "string",
      "truncated": true
    },
    "metadataExpiresAt": "2026-09-22T12:00:00Z"
  }
}

Get project webhook delivery

GET/platform/projects/{projectId}/webhook-deliveries/{deliveryId}Platform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Returns one logical webhook delivery owned by the exact project.

Requires webhook-deliveries:read. Project tokens only access resources in their own project.

Path parameters

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 17 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/projects/{projectId}/webhook-deliveries/{deliveryId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "teamId": "00000000-0000-4000-8000-000000000000",
    "projectId": "00000000-0000-4000-8000-000000000000",
    "eventId": "00000000-0000-4000-8000-000000000000",
    "webhookId": "00000000-0000-4000-8000-000000000000",
    "status": "pending",
    "attemptCount": 0,
    "capabilities": {
      "retryable": true
    },
    "payloadAvailability": "available",
    "replayableUntil": "2026-09-22T12:00:00Z",
    "metadataExpiresAt": "2026-09-22T12:00:00Z",
    "nextAttemptAt": "2026-09-22T12:00:00Z",
    "lastAttemptAt": "2026-09-22T12:00:00Z",
    "completedAt": "2026-09-22T12:00:00Z",
    "createdAt": "2026-09-22T12:00:00Z",
    "updatedAt": "2026-09-22T12:00:00Z",
    "lastOutcome": {
      "statusCode": 100,
      "errorCode": "string"
    }
  }
}

Get project webhook delivery attempt

GET/platform/projects/{projectId}/webhook-deliveries/{deliveryId}/attempts/{attemptId}Platform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:read

Returns one immutable network attempt owned by the exact project.

Requires webhook-deliveries:read. Project tokens only access resources in their own project.

Path parameters

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

  • attemptIdstring (uuid)required

    Identifier for the attempt.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 14 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/projects/{projectId}/webhook-deliveries/{deliveryId}/attempts/{attemptId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>/attempts/<attemptId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "teamId": "00000000-0000-4000-8000-000000000000",
    "projectId": "00000000-0000-4000-8000-000000000000",
    "deliveryId": "00000000-0000-4000-8000-000000000000",
    "number": 1,
    "status": "pending",
    "startedAt": "2026-09-22T12:00:00Z",
    "completedAt": "2026-09-22T12:00:00Z",
    "nextRetryAt": "2026-09-22T12:00:00Z",
    "durationMs": 0,
    "statusCode": 100,
    "errorCode": "string",
    "response": {
      "contentType": "string",
      "excerpt": "string",
      "truncated": true
    },
    "metadataExpiresAt": "2026-09-22T12:00:00Z"
  }
}

Retry team webhook delivery

POST/platform/webhook-deliveries/{deliveryId}/retryPlatform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:retry

Appends a new immutable attempt to the same logical delivery.

Team keys require webhook-deliveries:retry. Project tokens are not accepted.

Path parameters

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

Headers

  • Idempotency-Keystringrequiredlength1–255

    Specifies idempotency key for this header parameter.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 4 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
  • 409The request conflicts with the resource's current state.
  • 422The retained payload is unavailable or no longer replayable.
POST /platform/webhook-deliveries/{deliveryId}/retrycURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/platform/webhook-deliveries/<deliveryId>/retry" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Idempotency-Key: <idempotency_key>"
Response
{
  "data": {
    "operationId": "00000000-0000-4000-8000-000000000000",
    "idempotency": {
      "id": "00000000-0000-4000-8000-000000000000",
      "key": "string",
      "replayed": true,
      "createdAt": "2026-09-22T12:00:00Z",
      "expiresAt": "2026-09-22T12:00:00Z"
    },
    "deliveryId": "00000000-0000-4000-8000-000000000000",
    "attemptId": "00000000-0000-4000-8000-000000000000"
  }
}

Retry project webhook delivery

POST/platform/projects/{projectId}/webhook-deliveries/{deliveryId}/retryPlatform API
Base URL
https://api.polymorfa.com
Required permission
webhook-deliveries:retry

Appends a new immutable attempt to the same logical delivery owned by the exact project.

Requires webhook-deliveries:retry. Project tokens only access resources in their own project.

Path parameters

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • deliveryIdstring (uuid)required

    Identifier for the delivery.

Headers

  • Idempotency-Keystringrequiredlength1–255

    Specifies idempotency key for this header parameter.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 4 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
  • 409The request conflicts with the resource's current state.
  • 422The retained payload is unavailable or no longer replayable.
POST /platform/projects/{projectId}/webhook-deliveries/{deliveryId}/retrycURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/platform/projects/<projectId>/webhook-deliveries/<deliveryId>/retry" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Idempotency-Key: <idempotency_key>"
Response
{
  "data": {
    "operationId": "00000000-0000-4000-8000-000000000000",
    "idempotency": {
      "id": "00000000-0000-4000-8000-000000000000",
      "key": "string",
      "replayed": true,
      "createdAt": "2026-09-22T12:00:00Z",
      "expiresAt": "2026-09-22T12:00:00Z"
    },
    "deliveryId": "00000000-0000-4000-8000-000000000000",
    "attemptId": "00000000-0000-4000-8000-000000000000"
  }
}